<script setup>
import Wrapper from './_Wrapper.vue';
</script>

<script>
export default {
    data() {
        return {
            id: 'input-' + this.booted.helpers.string.uniqueId(),
        };
    },
    mounted() {
        $('#' + this.id).inputmask('(99) 999-99-99');
    },
};
</script>

<template>
    <Wrapper :id="id" v-slot="main">
        <input type="text" v-bind="main.inputAttrs">
    </Wrapper>
</template>